edu.northwestern.at.morphadorner.corpuslinguistics.namestandardizer

## Interface NameStandardizer

- All Known Implementing Classes:
    AbstractNameStandardizer, DefaultNameStandardizer, EEBOSimpleNameStandardizer, NoopNameStandardizer

      public interface NameStandardizer

  Interface for a Name Standardizer.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `dontStandardize(java.lang.String properName)` Check if we should not standardize a name.
    `int` | `getNumberOfNames()` Return number of names.
    `void` | `loadNames(java.util.Collection<java.lang.String> properNamesCollection)` Load names from a collection of names.
    `void` | `loadNames(java.lang.String properNamesFileName)` Load names from a file.
    `void` | `loadNamesFromLexicon(Lexicon lexicon)` Load names from a lexicon.
    `java.lang.String` | `preprocessProperName(java.lang.String properName)` Preprocess proper name.
    `java.lang.String` | `standardizeProperName(java.lang.String properName)` Returns standard proper name given a proper name.

- - ### Method Detail

    - #### loadNames

          void loadNames(java.lang.String properNamesFileName)
                         throws java.io.IOException

      Load names from a file.
      Parameters:
        `properNamesFileName` - File containing proper names data.
      Throws:
        `java.io.IOException`

    - #### loadNames

          void loadNames(java.util.Collection<java.lang.String> properNamesCollection)

      Load names from a collection of names.
      Parameters:
        `properNamesCollection` - Collection containing proper names.

    - #### loadNamesFromLexicon

          void loadNamesFromLexicon(Lexicon lexicon)
                                    throws java.io.IOException

      Load names from a lexicon.
      Parameters:
        `lexicon` - The lexicon from which to load names.
      Throws:
        `java.io.IOException`

    - #### getNumberOfNames

          int getNumberOfNames()

      Return number of names.
      Returns:
        Number of names known to standardizer.

    - #### dontStandardize

          boolean dontStandardize(java.lang.String properName)

      Check if we should not standardize a name.
      Parameters:
        `properName` - Name to check.
      Returns:
        True to avoid standardizing name.

        Names that are initials or contain periods are not standardized by default.

    - #### preprocessProperName

          java.lang.String preprocessProperName(java.lang.String properName)

      Preprocess proper name.
      Parameters:
        `properName` - Proper name to preprocess before standardization.
      Returns:
        Preprocessed proper name, ready for standardization.

    - #### standardizeProperName

          java.lang.String standardizeProperName(java.lang.String properName)

      Returns standard proper name given a proper name.
      Parameters:
        `properName` - The proper name.
      Returns:
        The standard proper name.